List provider accounts
curl --request GET \
--url https://{controlPlaneURL}/api/svc/v1/provider-accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://{controlPlaneURL}/api/svc/v1/provider-accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{controlPlaneURL}/api/svc/v1/provider-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"fqn": "<string>",
"provider": "aws",
"manifest": {},
"accountId": "<string>",
"id": "jqfwg345gi25n5ju2yz5iz6m",
"integrations": [
{
"id": "jqfwg345gi25n5ju2yz5iz6m",
"name": "<string>",
"fqn": "<string>",
"type": "blob-storage",
"providerAccountFqn": "<string>",
"tenantName": "<string>",
"createdBySubject": {
"subjectId": "<string>",
"subjectType": "user",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"manifest": {},
"metadata": {},
"providerAccount": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>"
}
],
"createdBySubject": {
"subjectId": "<string>",
"subjectType": "user",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>"
}
],
"pagination": {
"total": 100,
"offset": 0,
"limit": 10
}
}{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}Provider Accounts
List provider accounts
List provider accounts the caller can read.
GET
/
api
/
svc
/
v1
/
provider-accounts
List provider accounts
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Number of items per page
Required range:
1 <= x <= 1000Example:
10
Number of items to skip
Required range:
x >= 0Example:
0
Unique identifier of the provider account. Cannot be provided together with fqn.
FQN of the provider account. Cannot be provided together with id.
Include infrastructure providers.
Include model providers.
Include MCP server providers.
Include guardrail config providers.
Include custom endpoint providers.
When true, redacts sensitive auth data from the response.
Comma-separated list of attributes to return (e.g. id,name). When provided, only the specified fields are fetched. id is always included.
Was this page helpful?